View Bug Details

IDProjectCategoryView StatusLast Update
0001511DCP-o-matic[All Projects] Bugspublic2019-04-26 21:50
ReporterCarstenAssigned Tocarl 
PriorityhighSeveritymajorReproducibilityalways
Status resolvedResolutionfixed 
Platform64 bitOSWindowsOS Version7
Product Version2.14.x 
Target Version2.14.0Fixed in Version 
Summary0001511: 2.13.137 - Multichannel audio playout does not work (in WIN7-64)
Description

I just checked wether DCP-o-matic and player would still playout multichannel in Windows, but apparently not.
I made sure that the 8ch HDMI audio is working - used WIN7 audio device setup and test for 7.1, played test tones successfully to our cinema 7.1 system through HDMI.
Our processor indicates 7.1 through HDMI while dom and player play, but obviously, it is only the 5.1>-stereodownmix.
I have yet to try it on my Mac.
It used to be working in earlier versions. I tried both the explicit 'ATI HDMI audio device' as well as system default device (after setting the ATI HDMI audio as the system default.

  • Carsten
TagsNo tags attached.
Estimated work requiredUnknown

Activities

carl

2019-03-26 23:53

administrator   ~0003195

Any idea when it worked? I have builds going back to 2.13.63...

Carsten

2019-03-27 00:23

manager   ~0003198

Last edited: 2019-03-27 00:35

View 5 revisions

I wrote a few things about it on the forum I think... I have to look it up...

https://dcpomatic.com/forum/viewtopic.php?f=2&t=867&p=2987&hilit=hdmi#p2987

Hmm, unfortunately, I don't mention a version here, but, I guess it was some 2.11.x, or even 2.10.5... Obviously, from the text, just before the standalone player arrived, so, 2.10.5, or an early 2.11.x...

I have many Mac and a few win versions stored as well - I would think I should at least still have the win version that worked on that machine at the cinema, as I practically never delete a downloaded DCP-o-matic. I will try with my Mac first.

  • Carsten

carl

2019-03-27 00:46

administrator   ~0003200

Great. If you don't get anywhere with that we can always debug it the old-fashioned way.

carl

2019-03-27 00:53

administrator   ~0003201

And does that forum post mention Windows, or were you just testing on OSX there?

carl

2019-04-06 22:14

administrator   ~0003247

ping @carsten

Carsten

2019-04-07 11:19

manager   ~0003248

Sorry Carl, that Cinema thing keeps me incredibly busy currently. The old forum post, I can't remember. I am positively sure that at the time when it worked, I tested both windows (through the sound system at our cinema), and OS X on my Mac Book.

So far, with the current test release and 2.12.20, I only tested in windows. I may get a chance for a quick OS X test later today when I get access to that USB multichannel audio interface.

  • Carsten

carl

2019-04-07 20:57

administrator   ~0003249

No worries, I just wanted to check that you hadn't forgotten :) I should be able to do a test on Windows, also.

carl

2019-04-14 23:11

administrator   ~0003250

The DirectSound on RtAudio does not support >2 channels; I've switched it to auto-select API (WASAPI or DS) in a debug branch, just testing.

carl

2019-04-15 00:53

administrator   ~0003251

@carl: crashes (perhaps on stop/restart) on playback; presumably some problem with the WASAPI driver (though it could be something simpler). Should test b8cd038b2f5e6d521b3593c4f6024bf1cd287670 with forced DS driver.

carl

2019-04-15 08:58

administrator   ~0003252

Newer rtaudio (5.0.0) seems to have quite a bit of WASAPI work; need to update DoM to use that.

carl

2019-04-16 11:00

administrator   ~0003253

Should hopefully be fixed in 2.13.146.

Carsten

2019-04-26 13:11

manager   ~0003273

You mean, multichannel NEVER worked (before) in Windows?

carl

2019-04-26 21:50

administrator   ~0003288

It probably did work for a time, but I switched to the DirectSound backend to avoid crashes. However the DS backend can't do multichannel. No we're back with WASAPI (with a DS fallback) but with an updated version of the support library which hopefully fixes some/all of the bugs.

Bug History

Date Modified Username Field Change
2019-03-26 22:44 Carsten New Bug
2019-03-26 22:45 Carsten Description Updated View Revisions
2019-03-26 23:53 carl Assigned To => carl
2019-03-26 23:53 carl Status new => feedback
2019-03-26 23:53 carl Note Added: 0003195
2019-03-26 23:53 carl Target Version 2.14.x => 2.14.0
2019-03-27 00:23 Carsten Note Added: 0003198
2019-03-27 00:23 Carsten Status feedback => assigned
2019-03-27 00:30 Carsten Note Edited: 0003198 View Revisions
2019-03-27 00:30 Carsten Note Edited: 0003198 View Revisions
2019-03-27 00:31 Carsten Note Edited: 0003198 View Revisions
2019-03-27 00:35 Carsten Note Edited: 0003198 View Revisions
2019-03-27 00:45 Carsten Description Updated View Revisions
2019-03-27 00:46 carl Note Added: 0003200
2019-03-27 00:53 carl Note Added: 0003201
2019-04-05 23:16 carl Status assigned => feedback
2019-04-06 22:14 carl Note Added: 0003247
2019-04-07 11:19 Carsten Note Added: 0003248
2019-04-07 11:19 Carsten Status feedback => assigned
2019-04-07 20:57 carl Note Added: 0003249
2019-04-14 21:40 carl Status assigned => confirmed
2019-04-14 23:11 carl Note Added: 0003250
2019-04-15 00:53 carl Note Added: 0003251
2019-04-15 08:58 carl Note Added: 0003252
2019-04-16 11:00 carl Status confirmed => resolved
2019-04-16 11:00 carl Resolution open => fixed
2019-04-16 11:00 carl Note Added: 0003253
2019-04-26 13:11 Carsten Note Added: 0003273
2019-04-26 21:50 carl Note Added: 0003288